# Deprecated API

## Contents

- Classes
- Constructors

Deprecated Classes
Class
Description
com.fasterxml.jackson.annotation.JsonTypeInfo.None
Since 2.5, use any Annotation type (such as `JsonTypeInfo`), if such behavior is needed; this is rarely necessary.

Deprecated Constructors
Constructor
Description
com.fasterxml.jackson.annotation.JsonFormat.Value(String, JsonFormat.Shape, String, String, JsonFormat.Features)
com.fasterxml.jackson.annotation.JsonFormat.Value(String, JsonFormat.Shape, Locale, String, TimeZone, JsonFormat.Features)
com.fasterxml.jackson.annotation.JsonFormat.Value(String, JsonFormat.Shape, Locale, TimeZone, JsonFormat.Features)